net.sf.jasperreports.repo

## Class DefaultRepositoryService

- java.lang.Object
- - net.sf.jasperreports.repo.DefaultRepositoryService

- All Implemented Interfaces:
    RepositoryService, StreamRepositoryService

      public class DefaultRepositoryService
      extends java.lang.Object
      implements StreamRepositoryService

  Version:
    $Id: DefaultRepositoryService.java 6918 2014-02-19 17:35:10Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRepositoryService(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getInputStream(java.lang.String uri)`
    `java.io.OutputStream` | `getOutputStream(java.lang.String uri)`
    `Resource` | `getResource(java.lang.String uri)`
    `<K extends Resource> K` | `getResource(java.lang.String uri, java.lang.Class<K> resourceType)`
    `void` | `saveResource(java.lang.String uri, Resource resource)`
    `void` | `setClassLoader(java.lang.ClassLoader classLoader)`
    `void` | `setFileResolver(FileResolver fileResolver)`
    `void` | `setURLStreamHandlerFactory(java.net.URLStreamHandlerFactory urlHandlerFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRepositoryService

          public DefaultRepositoryService(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### setClassLoader

          public void setClassLoader(java.lang.ClassLoader classLoader)

    - #### setURLStreamHandlerFactory

          public void setURLStreamHandlerFactory(java.net.URLStreamHandlerFactory urlHandlerFactory)

    - #### setFileResolver

          public void setFileResolver(FileResolver fileResolver)

    - #### getInputStream

          public java.io.InputStream getInputStream(java.lang.String uri)

      Specified by:
        `getInputStream` in interface `StreamRepositoryService`

    - #### getOutputStream

          public java.io.OutputStream getOutputStream(java.lang.String uri)

      Specified by:
        `getOutputStream` in interface `StreamRepositoryService`

    - #### getResource

          public Resource getResource(java.lang.String uri)

      Specified by:
        `getResource` in interface `RepositoryService`

    - #### saveResource

          public void saveResource(java.lang.String uri,
                          Resource resource)

      Specified by:
        `saveResource` in interface `RepositoryService`

    - #### getResource

          public <K extends Resource> K getResource(java.lang.String uri,
                                           java.lang.Class<K> resourceType)

      Specified by:
        `getResource` in interface `RepositoryService`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com